Post news RSS New release date

Hey! My mod is practically ready, but I have some troubles because of updating original Amnesia to version 1.3. I'll finish "Depth" till January, 15th or a little bit earlier Thank you for your patience and happy holidays!

Posted by on

Hey!
My mod is practically ready, but I have some troubles because of updating original Amnesia to version 1.3. I'm trying my best to fix all bugs and to make mod more comfortable to play.
I'll finish "Depth" till January, 15th or a little bit earlier
Thank you for your patience and happy holidays!

Comments
SovietMentality
SovietMentality

Do I need the amnesia 1.3 patch to play this?

then ****........so sad I can't play this

Reply Good karma Bad karma+1 vote
Post a comment
Sign in or join with:

Only registered members can share their thoughts. So come on! Join the community today (totally free - or sign in with your social account on the right) and join in the conversation.